Public Class CResult


    Public Zones As CZones

    Public E요구량(12) As C에너지요구량
    Public E소요량(12) As C에너지소요량
    Public 일차E소요량(12) As C1차소요량
    Public 생산E(12) As C생산에너지
    Public Co2발생량(12) As CCo2발생량
    Public E분석(12) As C에너지분석  '//여기는 유일하게 0번 인덱스를 쓸수없다

    Public Co2배출계수 As CCo2배출계수
    Public E변환계수 As C1차에너지변환계수

    Public 사용면적 As C사용면적
    Public 최대부하 As C최대냉난방부하

    Private DSETR As DSR
    Private DSET As DS
    Public Sub New(ByRef pds As DS, ByRef pdsetr As DSR)
        DSET = pds
        DSETR = pdsetr

        '//공용
        Co2배출계수 = New CCo2배출계수
        E변환계수 = New C1차에너지변환계수

        '//단일
        사용면적 = New C사용면적(DSET, DSETR, Me)
        최대부하 = New C최대냉난방부하(DSETR)

        '//서브추가항목
        Zones = New CZones(DSET, DSETR, Me)

        '//월별로 들어가는 배열항목
        For i As Integer = 0 To 12
            Me.E요구량(i) = New C에너지요구량(Me, i)
            Me.E소요량(i) = New C에너지소요량(DSETR, Me, i)
            Me.일차E소요량(i) = New C1차소요량(DSETR, Me, i)
            Me.생산E(i) = New C생산에너지(DSETR, Me, i)
            Me.Co2발생량(i) = New CCo2발생량(Me, i)
            Me.E분석(i) = New C에너지분석(DSETR, Me, i)
        Next

    End Sub

End Class
